CREATE TABLE PPSNEPL.EPL_FORMULARY_DESIGNATOR
(
  EPL_ID             NUMBER(30)                 NOT NULL,
  NAME               VARCHAR2(30 BYTE)          NOT NULL,
  DESCRIPTION        VARCHAR2(255 BYTE)         NOT NULL,
  ITEM_STATUS        VARCHAR2(50 BYTE)          NOT NULL,
  INACTIVATION_DATE  TIMESTAMP(6),
  REVISION_NUMBER    NUMBER(30)                 NOT NULL,
  CREATED_BY         VARCHAR2(50 BYTE)          NOT NULL,
  CREATED_DTM        TIMESTAMP(6)               NOT NULL,
  LAST_MODIFIED_BY   VARCHAR2(50 BYTE),
  LAST_MODIFIED_DTM  TIMESTAMP(6)
)
TABLESPACE PPSNEPL_DATA
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MAXSIZE          UNLIMITED
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
RESULT_CACHE (MODE DEFAULT)
NOPARALLEL
MONITORING;


CREATE OR REPLACE PUBLIC SYNONYM EPL_FORMULARY_DESIGNATOR FOR PPSNEPL.EPL_FORMULARY_DESIGNATOR;


ALTER TABLE PPSNEPL.EPL_FORMULARY_DESIGNATOR ADD (
  PRIMARY KEY
  (EPL_ID)
  USING INDEX
    TABLESPACE PPSNEPL_DATA
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MAXSIZE          UNLIMITED
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                BUFFER_POOL      DEFAULT
                FLASH_CACHE      DEFAULT
                CELL_FLASH_CACHE DEFAULT
               )
  ENABLE VALIDATE);

GRANT SELECT ON PPSNEPL.EPL_FORMULARY_DESIGNATOR TO PPSNEPL_READ_ONLY_ROLE;

GRANT DELETE, INSERT, UPDATE ON PPSNEPL.EPL_FORMULARY_DESIGNATOR TO PPSNEPL_UPDATE_ROLE;

GRANT SELECT ON PPSNEPL.EPL_FORMULARY_DESIGNATOR TO PPSN_ROLE;
