#!/usr/bin/python
#
# Performs final configuration steps for a Pharmacy Product System (PPS) WebLogic domain, such as changing the default
# transaction timeout.

import os

# Script configuration
adminURL='t3://localhost:17001'
adminServerName='AdminServer'

# Connect to the AdminServer.
#
# Note: not specifying a username and password. This will only work if you have a
# boot.properties file.
connect(url=adminURL, adminServerName=adminServerName)

print 'Entering edit mode to change configuration...'

edit()
startEdit()

print 'Setting JTA Transaction timeout...'
cd('/JTA/PPS_domain')
set('TimeoutSeconds', 300)

save()
activate()

disconnect()
exit()
