
package gov.va.med.pharmacy.peps.common.email;



/**
 * @author vhaiswbutts
 * @version 1.0
 * 
 * This interface has methods which allow email notification to be sent via PPS.
 */
public interface EmailService 
{
	/**
	 * Sends email message including cc.
	 * @param email
	 */
	void sendEmail(Email email) throws Exception;
		
	/**
	 * This method sends email including cc and attachment
	 * @param richEmailBean
	 * @throws Exception
	 */
	void sendRichEmail(RichEmail richEmailBean) throws Exception;

	/**
     * This method sends an email multiple times  
     * @param email
     */
	void sendEmailMutlipleTimes(Email email);
}
