package gov.va.med.pharmacy.peps.common.exception;

import java.io.IOException;

/**
 * Simply wraps an {@link IOException} in a {@link RuntimeException} to work around cases where one is not allowed to
 * throw checked exceptions.
 */
public class WrappedIOException extends RuntimeException {

  /**
   * Change this when changing the class!
   */
  private static final long serialVersionUID = 1L;
  
  private static final String DEFAULT_MESSAGE = "Wrapping IOException in " + WrappedIOException.class.getSimpleName();

  private final IOException wrappedException;

  /**
   * Constructs an instance.
   * @param pWrappedException the wrapped exception. Returned by {@link #getWrappedException()} and {@link #getCause()}.
   */
  public WrappedIOException(final IOException pWrappedException) {
    super(DEFAULT_MESSAGE, pWrappedException);
    wrappedException = pWrappedException;
  }

  public IOException getWrappedException() {
    return wrappedException;
  }
}
