/**
 * Source file created in 2007 by Southwest Research Institute
 */


package gov.va.med.pharmacy.peps.common.vo;

import java.lang.reflect.Field;

/**
 * Data representing a Patient Medication Instruction.
 */
public class PatientMedicationInstructionVo extends ValueObject {
    private static final long serialVersionUID = 1L;

    private String title;
    private String brandName;
    private String missedDose;
    private String phonetics;
    private String howToTake;
    private String drugInteractions;
    private String medicalAlerts;
    private String notes;
    private String overdose;
    private String precautions;
    private String storage;
    private String sideEffects;
    private String uses;
    private String warning;
    private String disclaimer;

    /**
     * getTitle
     * 
     * @return title property
     */
    public String getTitle() {
        return title;
    }

    /**
     * setTitle
     * 
     * @param title title property
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * getBrandName
     * 
     * @return brandName property
     */
    public String getBrandName() {
        return brandName;
    }

    /**
     * setBrandName
     * 
     * @param brandName brandName property
     */
    public void setBrandName(String brandName) {
        this.brandName = brandName;
    }

    /**
     * getMissedDose
     * 
     * @return missedDose property
     */
    public String getMissedDose() {
        return missedDose;
    }

    /**
     * setMissedDose
     * 
     * @param missedDose missedDose property
     */
    public void setMissedDose(String missedDose) {
        this.missedDose = missedDose;
    }

    /**
     * getPhonetics
     * 
     * @return phonetics property
     */
    public String getPhonetics() {
        return phonetics;
    }

    /**
     * setPhonetics
     * 
     * @param phonetics phonetics property
     */
    public void setPhonetics(String phonetics) {
        this.phonetics = phonetics;
    }

    /**
     * getHowToTake
     * 
     * @return howToTake property
     */
    public String getHowToTake() {
        return howToTake;
    }

    /**
     * setHowToTake
     * 
     * @param howToTake howToTake property
     */
    public void setHowToTake(String howToTake) {
        this.howToTake = howToTake;
    }

    /**
     * getDrugInteractions
     * 
     * @return drugInteractions property
     */
    public String getDrugInteractions() {
        return drugInteractions;
    }

    /**
     * setDrugInteractions
     * 
     * @param drugInteractions drugInteractions property
     */
    public void setDrugInteractions(String drugInteractions) {
        this.drugInteractions = drugInteractions;
    }

    /**
     * getMedicalAlerts
     * 
     * @return medicalAlerts property
     */
    public String getMedicalAlerts() {
        return medicalAlerts;
    }

    /**
     * setMedicalAlerts
     * 
     * @param medicalAlerts medicalAlerts property
     */
    public void setMedicalAlerts(String medicalAlerts) {
        this.medicalAlerts = medicalAlerts;
    }

    /**
     * getNotes
     * 
     * @return notes property
     */
    public String getNotes() {
        return notes;
    }

    /**
     * setNotes
     * 
     * @param notes notes property
     */
    public void setNotes(String notes) {
        this.notes = notes;
    }

    /**
     * getOverdose
     * 
     * @return overdose property
     */
    public String getOverdose() {
        return overdose;
    }

    /**
     * setOverdose
     * 
     * @param overdose overdose property
     */
    public void setOverdose(String overdose) {
        this.overdose = overdose;
    }

    /**
     * getPrecautions
     * 
     * @return precautions property
     */
    public String getPrecautions() {
        return precautions;
    }

    /**
     * setPrecautions
     * 
     * @param precautions precautions property
     */
    public void setPrecautions(String precautions) {
        this.precautions = precautions;
    }

    /**
     * getStorage
     * 
     * @return storage property
     */
    public String getStorage() {
        return storage;
    }

    /**
     * setStorage
     * 
     * @param storage storage property
     */
    public void setStorage(String storage) {
        this.storage = storage;
    }

    /**
     * getSideEffects
     * 
     * @return sideEffects property
     */
    public String getSideEffects() {
        return sideEffects;
    }

    /**
     * setSideEffects
     * 
     * @param sideEffects sideEffects property
     */
    public void setSideEffects(String sideEffects) {
        this.sideEffects = sideEffects;
    }

    /**
     * getUses
     * 
     * @return uses property
     */
    public String getUses() {
        return uses;
    }

    /**
     * setUses
     * 
     * @param uses uses property
     */
    public void setUses(String uses) {
        this.uses = uses;
    }

    /**
     * getWarning
     * 
     * @return warning property
     */
    public String getWarning() {
        return warning;
    }

    /**
     * setWarning
     * 
     * @param warning warning property
     */
    public void setWarning(String warning) {
        this.warning = warning;
    }

    /**
     * getDisclaimer
     * 
     * @return disclaimer property
     */
    public String getDisclaimer() {
        return disclaimer;
    }

    /**
     * setDisclaimer
     * 
     * @param disclaimer disclaimer property
     */
    public void setDisclaimer(String disclaimer) {
        this.disclaimer = disclaimer;
    }

    @Override
    public <T> T reflectFieldValue(Field field) throws IllegalArgumentException, IllegalAccessException {
        return (T) field.get(this);
    }

    @Override
    public void setAttributeByField(Field field, Object fieldValue) throws IllegalArgumentException, IllegalAccessException {
        field.set(this, fieldValue);
    }
}
