/**
 * Source file created in 2011 by Southwest Research Institute
 */


package gov.va.med.pharmacy.peps.common.vo;


import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * Data container for the Data NDF Update Compliance Report.
 */
public class ReportDataUpdateVo {

   /** The filename. */
   private String filename;
   
   /** The release date. */
   private Date releaseDt;
   
   /** The compliance date. */
   private Date complianceDt;
   
   /** The sites in compliance. */
   private List<UpdateSiteVo> sitesInCompliance;
   
   /** The sites out of compliance. */
   private List<UpdateSiteVo> sitesOutOfCompliance;

    /**
     * Gets the filename.
     *
     * @return the filename
     */
    public String getFilename() {
    
        return filename;
    }
    
    /**
     * Sets the filename.
     *
     * @param filename the new filename
     */
    public void setFilename(String filename) {
    
        this.filename = filename;
    }
    
    /**
     * Gets the release date.
     *
     * @return the release dt
     */
    public Date getReleaseDt() {
    
        return releaseDt;
    }
    
    /**
     * Sets the release date.
     *
     * @param releaseDt the new release dt
     */
    public void setReleaseDt(Date releaseDt) {
    
        this.releaseDt = releaseDt;
    }
    
    /**
     * Gets the compliance date.
     *
     * @return the compliance dt
     */
    public Date getComplianceDt() {
    
        return complianceDt;
    }
    
    /**
     * Sets the compliance date.
     *
     * @param complianceDt the new compliance dt
     */
    public void setComplianceDt(Date complianceDt) {
    
        this.complianceDt = complianceDt;
    }
    
    /**
     * Gets the sites in compliance.
     *
     * @return the sites in compliance
     */
    public List<UpdateSiteVo> getSitesInCompliance() {
    
        if (sitesInCompliance == null) {
            sitesInCompliance = new ArrayList<UpdateSiteVo>();
        }
        return sitesInCompliance;
    }
    
    /**
     * Sets the sites in compliance.
     *
     * @param sitesInCompliance the new sites in compliance
     */
    public void setSitesInCompliance(List<UpdateSiteVo> sitesInCompliance) {
    
        this.sitesInCompliance = sitesInCompliance;
    }
    
    /**
     * Gets the sites out of compliance.
     *
     * @return the sites out of compliance
     */
    public List<UpdateSiteVo> getSitesOutOfCompliance() {
    
        if (sitesOutOfCompliance == null) {
            sitesOutOfCompliance = new ArrayList<UpdateSiteVo>();
        }
        return sitesOutOfCompliance;
    }
    
    /**
     * Sets the sites out of compliance.
     *
     * @param sitesOuOfCompliance the new sites out of compliance
     */
    public void setSitesOutOfCompliance(List<UpdateSiteVo> sitesOuOfCompliance) {
    
        this.sitesOutOfCompliance = sitesOuOfCompliance;
    }
    
    /**
     * Adds the site in compliance.
     *
     * @param siteVo the site vo
     */
    public void addSiteInCompliance(UpdateSiteVo siteVo) {
        if (sitesInCompliance == null ) {
            sitesInCompliance = new ArrayList<UpdateSiteVo>();
        }
        sitesInCompliance.add(siteVo);
    }
}
