package gov.va.med.pharmacy.peps.common.vo.validator;


/**
 * Enumeration of ValidationError Levels.
 * Prior to 1.1, {@link Errors} contained a list of ValidationError, but it was mainly understood to be warnings.  
 * Exceptions were used for hard errors. 
 * In 1.2, {@link Errors} was modified to handle the distinction between warnings and hard errors. 
 */
public enum ValidationErrorLevel {
    
    /** Denotes a hard error that may prevent a process from completing successfully. */    
    ERROR,
    /** Denotes a warning that the user may heed, but if they decide to continue, the process can be completed. */
    WARNING;
}
