package gov.va.med.pharmacy.peps.common.exception;

import static org.junit.Assert.*;

import java.io.IOException;

import org.apache.commons.lang3.StringUtils;
import org.junit.Test;

/**
 * Unit tests for {@link WrappedIOException}.
 */
public class WrappedIOExceptionTest {

  @Test
  public void testWrappedIOException() {
    final IOException originalEx = new IOException("This is a message.");
    final WrappedIOException wrappedEx = new WrappedIOException(originalEx);
    
    assertSame(wrappedEx.getWrappedException(), originalEx);
    assertSame(wrappedEx.getCause(), originalEx);
    assertFalse("Message should not be empty.", StringUtils.isEmpty(wrappedEx.getMessage()));
  }

}
