/**
 * Source file created in 2007 by Southwest Research Institute
 */


package gov.va.med.pharmacy.peps.common.utility.test.generator;


import java.util.ArrayList;
import java.util.List;

import gov.va.med.pharmacy.peps.common.vo.CopayTierVo;
import gov.va.med.pharmacy.peps.common.vo.ItemStatus;


/**
 * Generate a list of Copay Tiers.
 */
public class CopayTierGenerator extends VoGenerator<CopayTierVo> {

    /**
     * Generate a list of CopayTierVo.
     * 
     * @return List of CopayTierVo
     */
    public final List<CopayTierVo> generate() {
        List<CopayTierVo> testData = new ArrayList<CopayTierVo>();

        CopayTierVo ct0 = new CopayTierVo();
        ct0.setId("100");
        ct0.setValue("0");
        ct0.setDescription("Copay Tier 0");
        ct0.setItemStatus(ItemStatus.ACTIVE);
       
        testData.add(ct0);

        CopayTierVo ct1 = new CopayTierVo();
        ct1.setId("101");
        ct1.setValue("1");
        ct1.setDescription("Copay Tier 1");
        ct1.setItemStatus(ItemStatus.ACTIVE);
       
        testData.add(ct1);

        CopayTierVo ct2 = new CopayTierVo();
        ct2.setId("102");
        ct2.setValue("2");
        ct2.setDescription("Copay Tier 2");
        ct2.setItemStatus(ItemStatus.ACTIVE);
       
        testData.add(ct2);

        CopayTierVo ct3 = new CopayTierVo();
        ct3.setId("103");
        ct3.setValue("3");
        ct3.setDescription("Copay Tier 3");
        ct3.setItemStatus(ItemStatus.ACTIVE);
       
        testData.add(ct3);
        
        
        return testData;
    }
    
    /**
     * doInitialization.
     */
    @Override
    protected void doInitialization() {
        
    }
}
