package gov.va.med.pharmacy.peps.common.vo;

import static org.hamcrest.CoreMatchers.equalTo;
import static org.junit.Assert.*;

import java.util.Arrays;

import org.junit.Test;

import gov.va.med.pharmacy.peps.common.utility.test.generator.ProductGenerator;
import gov.va.med.pharmacy.peps.common.vo.diff.Difference;

/**
 * Automated unit tests for {@link ItemAuditHistoryVo}.
 */
public class ItemAuditHistoryVoTest {

    @Test
    public void testAddDetailForModDifference() {
        /* Setup */
        final String siteName = "Site Name!";
        final EventCategory eventCategory = EventCategory.NATIONAL_MODIFICATION;
        final String userName = "User Name";

        final ProductVo sampleProduct = new ProductGenerator().getFirst();
        final ItemAuditHistoryVo objUnderTest = new ItemAuditHistoryVo(sampleProduct, siteName, eventCategory, userName);
        
        final ModDifferenceVo sampleModDifferenceVo = new ModDifferenceVo();
        sampleModDifferenceVo.setDifference(new Difference(FieldKey.PRODUCT_TEXT, "old text", "new text"));
        
        final ItemAuditHistoryDetailsVo expectedDetails =
            ItemAuditHistoryDetailsVo.fromModDifference(sampleModDifferenceVo, eventCategory);
        
        /* Behavior & Verification */
        objUnderTest.addDetailForModDifference(sampleModDifferenceVo);
        
        assertThat(objUnderTest.getDetails(), equalTo(Arrays.asList(expectedDetails)));
    }

}
