/**
 * Source file created in 2011 by Southwest Research Institute
 * 
 * Generated Dec 23, 2011 1:30:25 PM by Hibernate Tools 3.2.4.GA
 */


package gov.va.med.pharmacy.peps.domain.common.model;


import java.util.Date;
import java.util.Calendar;
import org.apache.commons.lang3.time.DateUtils;


/**
 * EplProdCopayTierAssocDo 
 * 
 * @hibernate.class
 */
public class EplProdCopayTierAssocDo extends
        gov.va.med.pharmacy.peps.domain.common.model.DataObject implements
        java.io.Serializable {

    // Fields
    public static final String EPL_ID = "id";
    public static final String EPL_PRODUCT = "eplProduct";
    public static final String EPL_COPAY_TIER = "eplCopayTier";
    public static final String EFFECTIVE_DATE = "effectiveDate";
    public static final String END_DATE = "endDate";
    

    private static final long serialVersionUID = 1L;

    private Long id;
    private EplCopayTierDo eplCopayTier;
    private EplProductDo eplProduct;
    private Date effectiveDate;
    private Date endDate;

    // Constructors

    /** default constructor */

    public EplProdCopayTierAssocDo() {
    }

    /** minimal constructor */

    public EplProdCopayTierAssocDo(Long id, Date effectiveDate, Date endDate, String createdBy, Date createdDtm) {
        this.id = id;
        this.effectiveDate = effectiveDate;
        this.endDate = endDate;
        this.setCreatedBy(createdBy);
        this.setCreatedDtm(createdDtm);
    }

    /** full constructor */

    public EplProdCopayTierAssocDo(Long id, EplProductDo eplProduct, EplCopayTierDo eplCopayTier,
           Date effectiveDate, Date endDate, String createdBy, Date createdDtm,
            String lastModifiedBy, Date lastModifiedDtm) {
        this.id = id;
        this.eplProduct = eplProduct;
        this.eplCopayTier = eplCopayTier;
        this.effectiveDate = effectiveDate;
        this.endDate = endDate;
        this.setCreatedBy(createdBy);
        this.setCreatedDtm(createdDtm);
        this.setLastModifiedBy(lastModifiedBy);
        this.setLastModifiedDtm(lastModifiedDtm);
    }
    
    /**
     * Returns true or false to indicate whether this copay tier 
     * association is currently in effect.
     * 
     * @return true if and only if the effective date is before or
     * equal to the current date and the end date is blank, equal to, or
     * after the current date; otherwise, return false.
     */
    public final boolean isActive() {
        Date currentDate = DateUtils.truncate(new Date(), Calendar.DATE); 
        return (effectiveDate.compareTo(currentDate) <= 0)
            && (endDate == null || endDate.compareTo(currentDate) >= 0);
    }
   
    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    
   public Date getEffectiveDate() {
        return this.effectiveDate;
    }

    public void setEffectiveDate(Date effectiveDate) {
        this.effectiveDate = effectiveDate;
    }
    
    public Date getEndDate() {
        return this.endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
    
    public EplCopayTierDo getEplCopayTier() {
        return eplCopayTier;
    }

    
    public void setEplCopayTier(EplCopayTierDo eplCopayTier) {
        this.eplCopayTier = eplCopayTier;
    }

    
    public EplProductDo getEplProduct() {
        return eplProduct;
    }

    
    public void setEplProduct(EplProductDo eplProduct) {
        this.eplProduct = eplProduct;
    }
    
    /**
     * toString
     * 
     * @return String
     */
    public String toString() {
        StringBuffer buffer = new StringBuffer();

        buffer.append(getClass().getName()).append("@")
                .append(Integer.toHexString(hashCode())).append(" [");
        buffer.append("id").append("='").append(getId()).append("' ");
        buffer.append("effectiveDate").append("='").append(getEffectiveDate())
                .append("' ");
        buffer.append("endDate").append("='").append(getEndDate())
        .append("' ");
        buffer.append("createdBy").append("='").append(getCreatedBy())
                .append("' ");
        buffer.append("createdDtm").append("='").append(getCreatedDtm())
                .append("' ");
        buffer.append("lastModifiedBy").append("='")
                .append(getLastModifiedBy()).append("' ");
        buffer.append("lastModifiedDtm").append("='")
                .append(getLastModifiedDtm()).append("' ");
        buffer.append("]");

        return buffer.toString();
    }

    public boolean equals(Object other) {
        if ((this == other)) {
            return true;
        }

        if ((other == null)) {
            return false;
        }

        if (!(other instanceof EplProdCopayTierAssocDo)) {
            return false;
        }

        EplProdCopayTierAssocDo castOther = (EplProdCopayTierAssocDo) other;

        return ((this.getId() == castOther.getId()) || (this.getId() != null && castOther.getId() != null && this.getId()
            .equals(castOther.getId())))
            && ((this.getEffectiveDate() == castOther.getEffectiveDate()) || (this.getEffectiveDate() != null
                && castOther.getEffectiveDate() != null && this.getEffectiveDate().equals(castOther.getEffectiveDate())))
            && ((this.getEndDate() == castOther.getEndDate()) || (this.getEndDate() != null
                && castOther.getEndDate() != null && this.getEndDate().equals(castOther.getEndDate())))
            && ((this.getCreatedBy() == castOther.getCreatedBy()) || (this.getCreatedBy() != null
                && castOther.getCreatedBy() != null && this.getCreatedBy().equals(castOther.getCreatedBy())))
            && ((this.getCreatedDtm() == castOther.getCreatedDtm()) || (this.getCreatedDtm() != null
                && castOther.getCreatedDtm() != null && this.getCreatedDtm().equals(castOther.getCreatedDtm())))
            && ((this.getLastModifiedBy().equals(castOther.getLastModifiedBy())) || (this.getLastModifiedBy() != null
                && castOther.getLastModifiedBy() != null && this.getLastModifiedBy().equals(castOther.getLastModifiedBy())))
            && ((this.getLastModifiedDtm() == castOther.getLastModifiedDtm()) || (this.getLastModifiedDtm() != null
                && castOther.getLastModifiedDtm() != null && this.getLastModifiedDtm()
                .equals(castOther.getLastModifiedDtm())))
            && ((this.getEplCopayTier() == castOther.getEplCopayTier()) || (this.getEplCopayTier() != null
                && castOther.getEplCopayTier() != null && this.getEplCopayTier().equals(castOther.getEplCopayTier())))
            && ((this.getEplProduct() == castOther.getEplProduct()) || (this.getEplProduct() != null
                && castOther.getEplProduct() != null && this.getEplProduct().equals(castOther.getEplProduct())));
    }

    public int hashCode() {
        int result = 17;

        result = 37 * result + (getId() == null ? 0 : this.getId().hashCode());
        result = 37 * result + (getEffectiveDate() == null ? 0 : this.getEffectiveDate().hashCode());
        result = 37 * result + (getEndDate() == null ? 0 : this.getEndDate().hashCode());
        result = 37 * result + (getCreatedBy() == null ? 0 : this.getCreatedBy().hashCode());
        result = 37 * result + (getCreatedDtm() == null ? 0 : this.getCreatedDtm().hashCode());
        result = 37 * result + (getLastModifiedBy() == null ? 0 : this.getLastModifiedBy().hashCode());
        result = 37 * result + (getLastModifiedDtm() == null ? 0 : this.getLastModifiedDtm().hashCode());
        result = 37 * result + (getEplCopayTier() == null ? 0 : this.getEplCopayTier().hashCode());
        result = 37 * result + (getEplProduct() == null ? 0 : this.getEplProduct().hashCode());


        return result;
    }
}
