package gov.va.med.pharmacy.peps.domain.common.capability.impl;

import static org.junit.Assert.*;

import java.util.Collection;

import org.junit.Test;

import gov.va.med.pharmacy.peps.common.vo.VistaSiteVo;
import gov.va.med.pharmacy.peps.domain.common.capability.impl.FileBasedSiteListDomainCapabilityImpl;
import gov.va.med.pharmacy.peps.domain.common.utility.converter.VistaSiteConverter;

import static org.hamcrest.CoreMatchers.equalTo;
import static org.hamcrest.CoreMatchers.notNullValue;

/**
 * The Class FileBasedSiteListDomainCapabilityImplIT.
 */
public class FileBasedSiteListDomainCapabilityImplIT {

    /**
     * Test retrieve all.
     */
    @Test
    public final void testRetrieveAll() {
        FileBasedSiteListDomainCapabilityImpl impl = new FileBasedSiteListDomainCapabilityImpl(new VistaSiteConverter());
        Collection<VistaSiteVo> sites = impl.retrieveAll();
        assertThat(sites, notNullValue());
    }

    /**
     * Test retrieve filtered.
     */
    @Test
    public final void testRetrieveFiltered() throws Exception{
        FileBasedSiteListDomainCapabilityImpl impl = new FileBasedSiteListDomainCapabilityImpl(new VistaSiteConverter());
        Collection<VistaSiteVo> sites;
        sites = impl.retrieveFiltered();
        assertThat(sites, notNullValue());        
    }

    /**
     * Test retrieveByStationNumber.
     */
    @Test
    public final void testRetrieveByStationNumber() {
        FileBasedSiteListDomainCapabilityImpl impl = new FileBasedSiteListDomainCapabilityImpl(new VistaSiteConverter());
        VistaSiteVo vistaSiteVo = impl.retrieveByStationNumber("662");
        assertThat(vistaSiteVo, notNullValue());
        assertThat(vistaSiteVo.getName(), equalTo("SAN FRANCISCO VAMC"));
    }    
    
}
