package gov.va.med.pharmacy.peps.domain.common.dao;

import static org.junit.Assert.assertEquals;

import java.util.List;

import org.hibernate.SessionFactory;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.transaction.annotation.Transactional;

import gov.va.med.pharmacy.peps.domain.common.dao.impl.EplVaDrugClassDaoImpl;
import gov.va.med.pharmacy.peps.domain.common.model.EplVaDrugClassDo;
import gov.va.med.pharmacy.peps.domain.common.utility.test.AbstractDomainIT;

public class EplVaDrugClassDaoImplIT extends AbstractDomainIT {

	private EplVaDrugClassDaoImpl dao;
	
	@Qualifier("sessionFactory")
	@Autowired
	private SessionFactory sessionFactory;
	
	@Test
	@Transactional
	public void testExcludedDrugClass() {
		dao = new EplVaDrugClassDaoImpl();
		dao.setSessionFactory(sessionFactory);
		List<EplVaDrugClassDo> drugClasses = dao.retrieve("code", "TN200");
		System.out.println("Count: " + drugClasses.size());
		dao.clearSession();
		
		assertEquals(drugClasses.get(0).getExcluded(), true);
	}

}
