package gov.va.med.pharmacy.peps.external.common.preencapsulation.outbound.test;

import java.io.File;

import gov.va.med.pharmacy.peps.external.common.preencapsulation.outbound.document.LocalVistADomainRequestDocument;
import gov.va.med.pharmacy.peps.external.common.preencapsulation.outbound.document.LocalVistADomainResponseDocument;
import gov.va.med.pharmacy.peps.external.common.vo.outbound.facility.vista.request.VistaDomainsRequest;
import gov.va.med.pharmacy.peps.external.common.vo.outbound.facility.vista.response.VistaDomainsResponse;
import junit.framework.TestCase;

/**
 * Automated tests for {@link LocalVistADomainRequestDocument} and {@link LocalVistADomainResponseDocument}.
 *
 */
public class LocalVistADomainDocumentIT extends TestCase {

    private static final String NOTNULL = "item shouldn't be null!";

    /**
     * Test Vista Domain request.
     * 
     * @throws Exception exception
     */
    public void testVistADomainRequestDocument() throws Exception {
        VistaDomainsRequest item = LocalVistADomainRequestDocument.instance().unmarshal(
            XmlDocumentIT.readDocument(new File("etc/xml/document/facility/localVistADomainRequest.xml")));
        assertNotNull(NOTNULL, item);

        String xml = LocalVistADomainRequestDocument.instance().marshal(item);
        LocalVistADomainRequestDocument.instance().unmarshal(xml);
    }

    /**
     * Test Vista Domain response.
     * 
     * @throws Exception exception
     */
    public void testVistADomainResponseDocument() throws Exception {
        VistaDomainsResponse item = LocalVistADomainResponseDocument.instance().unmarshal(
            XmlDocumentIT.readDocument(new File("etc/xml/document/facility/localVistADomainResponse.xml")));
        assertNotNull(NOTNULL, item);

        String xml = LocalVistADomainResponseDocument.instance().marshal(item);

        LocalVistADomainResponseDocument.instance().unmarshal(xml);
    }

}
