package gov.va.med.pharmacy.peps.service.common.capability;

import java.util.Date;
import java.util.List;

/**
 * Generates PPS-N reports included in the update file. Also generates the preview report.
 */
public interface MessageDataCapability {

    /**
     * Builds the "DATA UPDATE FOR NDF" report content. This is <em>not</em> yet formatted for the update file.
     * 
     * @param startDTM the start time of the update file generation process
     * @return a list with one element per line. May be unmodifiable: do not try to add elements to the list.
     */
    public List<String> buildDataUpdateForNdfReport(Date startDTM);
    
    /**
     * Builds the "UPDATED INTERACTIONS AND FDA MED GUIDE" report content. This is <em>not</em> yet formatted for the update
     * file.
     * 
     * @param startDTM the start time of the update file generation process
     * @return a list with one element per line. May be unmodifiable: do not try to add elements to the list.
     */
    public List<String> buildUpdatedInteractionsReport(Date startDTM);

    /**
     * Gets message data containing changes made for the update file preview report.
     * @param startDTM
     * @return List<String> containing message.
     */
    public List<String>  generateUpdateFilePreviewReport(Date startDTM);
    
    
}
