/**
 * Source file created in 2007 by Southwest Research Institute
 */


package gov.va.med.pharmacy.peps.service.common.capability;


import java.util.List;

import gov.va.med.pharmacy.peps.common.vo.NotificationSummaryVo;
import gov.va.med.pharmacy.peps.common.vo.NotificationVo;
import gov.va.med.pharmacy.peps.common.vo.SearchNotificationsCriteriaVo;


/**
 * Perform security actions on a user
 */
public interface NotificationCapability {

    /**
     * search notifications
     * 
     * @param criteria Criteria to search by
     * @return List<NotificationVo>
     */
    List<NotificationSummaryVo> search(SearchNotificationsCriteriaVo criteria);

    /**
     * simple retrieve by id for NotificationCapability.
     * 
     * @param id notification id
     * @return NotificationVo
     */
    NotificationVo retrieve(String id);

    /**
     * Retrieve notification count for NotificationCapability.
     * 
     * @return notification count
     */
    int retrieveNotificationCount();

}
