package gov.va.med.pharmacy.peps.service.common.capability;

import java.util.List;

import gov.va.med.pharmacy.peps.common.vo.UnmatchRematchVo;

/**
 * Bean used to store information needed to prepare a rematch to be committed.
 */
public class RematchPreperationBean {
    
    /**
     * True if there already exists a rematch for a given rematch's from product.
     */
    private final boolean rematchExistsForProduct;
    
    /**
     * The list of potential rematches for a given rematch's from product.
     */
    private final List<UnmatchRematchVo> potentialRematchProducts;

    /**
     * Constructor the object with the required parameters.
     * @param pRematchExistsForProduct whether a rematch already exists for the given rematch's from product.
     * @param pPotentialRematchProducts the list of potential rematches for the given rematch's from product.
     */
    public RematchPreperationBean(boolean pRematchExistsForProduct, List<UnmatchRematchVo> pPotentialRematchProducts) {
        rematchExistsForProduct = pRematchExistsForProduct;
        potentialRematchProducts = pPotentialRematchProducts;
    }
    
    public boolean getRematchExistsForProduct() {
        return rematchExistsForProduct;
    }

    public List<UnmatchRematchVo> getPotentialRematchProducts() {
        return potentialRematchProducts;
    }


}
