package gov.va.med.pharmacy.peps.service.common.migration;

/**
 * This class defines constants used by the formulary designator
 * migration.
 */
public abstract class FormularyDesignatorMigrationConstants {
    /**
     * The index of the EPL ID column in the import and result
     * files.
     */
    static final int EPL_ID_COLUMN = 0;
    
    /**
     * The expected value of the header for the EPL ID column
     * in the import file.
     */
    static final String EPL_ID_COLUMN_HEADER = "EPL ID";
    
    /**
     * The index of the orderable item name column in the import and result
     * files.
     */
    static final int OI_NAME_COLUMN = 1;
    
    /**
     * The index of the formulary designator name column in the import and result
     * files.
     */
    static final int FORMULARY_DESIGNATOR_COLUMN = 2;
    
    /**
     * The index of the orderable item text column in the import and result
     * files.
     */
    static final int OI_TEXT_COLUMN = 3;
    
    /**
     * The index of the error flag column in the result file. If an error occurs 
     * processing a row, then this column will have the value "Y". Otherwise,
     * this column will the the value "N".
     */
    static final int ERROR_FLAG_COLUMN = 4;
     
    /**
     * The index of the error column in the result file.
     */
    static final int ERROR_COLUMN = 5;
}
