package gov.va.med.pharmacy.peps.service.common.migration;

/**
 * This class defines constants used by the hazardous waste migration.
 */
public abstract class HazardousWasteMigrationConstants {
    /**
     * The expected value of the header for the first column in the import file.
     */
    static final String VUID_COLUMN_HEADER = "VUID";

    /**
     * The index of the VUID column in the import and result files.
     */
    static final int VUID_COLUMN = 0;    
    
    /**
     * The index of the EPL ID column in the import and result files.
     */
    static final int EPL_ID_COLUMN = 1;

    /**
     * The index of the CMOP ID column in the import and result files.
     */
    static final int CMOP_ID_COLUMN = 2;

    /**
     * The index of the NDF Product IEN column in the import and result files.
     */
    static final int NDF_PRODUCT_IEN_COLUMN = 3;

    /**
     * The index of the VA Product Name column in the import and result files.
     */
    static final int VA_PRODUCT_NAME_COLUMN = 4;

    /**
     * The index of the Generic Name column in the import and result files.
     */
    static final int GENERIC_NAME_COLUMN = 5;

    /**
     * The index of the Schedule Name column in the import and result files.
     */
    static final int SCHEDULE_NAME_COLUMN = 6;

    /**
     * The index of the Dosage Form Name column in the import and result files.
     */
    static final int DOSAGE_FORM_NAME_COLUMN = 7;

    /**
     * The index of the Hazardous to Handle column in the import and result files.
     */
    static final int HAZARDOUS_TO_HANDLE_COLUMN = 8;

    /**
     * The index of the Hazardous to Dispose column in the import and result files.
     */
    static final int HAZARDOUS_TO_DISPOSE_COLUMN = 9;

    /**
     * The index of the Primary EPA column in the import and result files.
     */
    static final int PRIMARY_EPA_COLUMN = 10;
    
    /**
     * The index of the Waste Sort Code column in the import and result files.
     */
    static final int WASTE_SORT_CODE_COLUMN = 11;
    
    /**
     * The index of the DOT Shipping Name column in the import and result files.
     */
    static final int DOT_SHIPPING_NAME_COLUMN = 12;
    /**
     * The index of the error flag column in the result file. If an error occurs processing a row, then this column will have
     * the value "Y". Otherwise, this column will the the value "N".
     */
    static final int ERROR_FLAG_COLUMN = 13;

    /**
     * The index of the error column in the result file.
     */
    static final int ERROR_COLUMN = 14;
}
