/**
 * Source file created in 2011 by Southwest Research Institute
 */


package gov.va.med.pharmacy.peps.service.common.reports;

import gov.va.med.pharmacy.peps.common.vo.validator.Errors;

/**
 * ReportExportState contains information about the state of a report export, such as current progress, whether it is running
 * or not, and last run errors.
 */
public class ReportExportState {

    /** The running. */
    private boolean running;
    
    /** The export complete. */
    private boolean exportComplete;
    
    /** The report process status. */
    private ReportProcessStatus reportProcessStatus;
    
    /** The record counter. */
    private int recordCounter;
    
    /** The record total. */
    private int recordTotal;
    
    /** The last run errors. */
    private Errors lastRunErrors = new Errors();

    /**
     * Checks if is running.
     *
     * @return the running
     */
    public boolean isRunning() {
        return running;
    }

    /**
     * Sets the running.
     *
     * @param running the running to set
     */
    public void setRunning(boolean running) {
        this.running = running;
    }

    /**
     * Checks if is export complete.
     *
     * @return the exportComplete
     */
    public boolean isExportComplete() {
        return exportComplete;
    }

    /**
     * Set export complete.
     * @param exportComplete the exportComplete to set
     */
    public void setExportComplete(boolean exportComplete) {
        this.exportComplete = exportComplete;
    }

    /**
     * Gets the report process status.
     *
     * @return the reportProcessStatus
     */
    public ReportProcessStatus getReportProcessStatus() {
        return reportProcessStatus;
    }

    /**
     * Sets the report process status.
     *
     * @param reportProcessStatus the reportProcessStatus to set
     */
    public void setReportProcessStatus(ReportProcessStatus reportProcessStatus) {
        this.reportProcessStatus = reportProcessStatus;
    }

    /**
     * Gets the record counter.
     *
     * @return the recordCounter
     */
    public int getRecordCounter() {
        return recordCounter;
    }

    /**
     * Sets the record counter.
     *
     * @param recordCounter the recordCounter to set
     */
    public void setRecordCounter(int recordCounter) {
        this.recordCounter = recordCounter;
    }

    /**
     * Sets the record total.
     *
     * @param recordTotal the recordTotal to set
     */
    public void setRecordTotal(int recordTotal) {
        this.recordTotal = recordTotal;
    }

    /**
     * Gets the record total.
     *
     * @return the recordTotal
     */
    public int getRecordTotal() {
        return recordTotal;
    }

    /**
     * Gets the last run errors.
     *
     * @return the lastRunErrors
     */
    public final Errors getLastRunErrors() {
        return lastRunErrors;
    }

    /**
     * Sets the last run errors.
     *
     * @param lastRunErrors the lastRunErrors to set
     */
    public final void setLastRunErrors(Errors lastRunErrors) {
        this.lastRunErrors = lastRunErrors;
    }

}
