/**
 * Source file created in 2008 by Southwest Research Institute
 */


package gov.va.med.pharmacy.peps.service.common.session;


import java.util.List;

import gov.va.med.pharmacy.peps.common.exception.ItemNotFoundException;
import gov.va.med.pharmacy.peps.common.vo.NotificationSummaryVo;
import gov.va.med.pharmacy.peps.common.vo.NotificationVo;
import gov.va.med.pharmacy.peps.common.vo.SearchNotificationsCriteriaVo;


/**
 * Search and retrieve notifications.
 */
public interface NotificationService {

    /**
     * Search for the pending requests
     * 
     * @param criteria for searchCriteria
     * @return List<RequestSummaryVo>
     * @throws ItemNotFoundException ItemNotFoundException
     */
    List<NotificationSummaryVo> search(SearchNotificationsCriteriaVo criteria) throws ItemNotFoundException;

    /**
     * simple retrieve by id
     * 
     * @param id notification id
     * @return NotificationVo
     */
    NotificationVo retrieve(String id);

    /**
     * Retrieve the count of all notifications in the system
     * 
     * @return notification count
     */
    int retrieveNotificationCount();

}
