package gov.va.med.pharmacy.peps.service.national.updatefile;

import java.util.Comparator;

import org.apache.commons.lang3.builder.CompareToBuilder;

import gov.va.med.pharmacy.peps.common.vo.ProductReference;

/**
 * Compares {@link ProductReference} objects for the Update File reports. Orders based on VA Product Name and then CMOP ID.
 */
public class ReportProductComparator implements Comparator<ProductReference> {

    @Override
    public int compare(final ProductReference o1, final ProductReference o2) {
        return new CompareToBuilder()
            .append(o1.getVaProductName(), o2.getVaProductName())
            .append(o1.getCmopId(), o2.getCmopId())
            .toComparison();
    }

}
