package gov.va.med.pharmacy.peps.service.common.capability.impl;

import static org.junit.Assert.*;
import org.junit.Test;

import gov.va.med.pharmacy.peps.service.common.capability.impl.WordProcessingFieldHelperImpl;
import junit.framework.TestCase;

/**
 * Test the {@link WordProcessingFieldHelperImpl}
 */
public class WordProcessingFieldHelperImplTest {

  private static final String PASS_IN_STRING = "One Two Three Four Five Six Seven Eight Nine Ten MoreThanEight";
  private static final String[] STRING_ARR_EXPECTED = {"One Two", "Three", "Four", "Five Six", "Seven", "Eight", "Nine Ten", "MoreThan", "Eight"};
  private static final int TEST_FIELD_LENGTH = 8;
  private WordProcessingFieldHelperImpl wordProcessingFieldHelperImpl = new WordProcessingFieldHelperImpl();
  
  /**
   * Test if string is split appropriately using split() method
   */
  @Test
  public void splitTest() {
    String[] stringTest = wordProcessingFieldHelperImpl.split(PASS_IN_STRING, TEST_FIELD_LENGTH);
    assertArrayEquals(stringTest, STRING_ARR_EXPECTED);
  }

}
