package gov.va.med.pharmacy.peps.service.common.utility;

import static org.junit.Assert.*;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.junit.Test;

/**
 * Automated tests for {@link NdfUpdateProcessFile}.
 */
public class NdfUpdateProcessFileTest {
    
    private static final Logger LOG = LogManager.getLogger(NdfUpdateProcessFileTest.class);

    @Test
    public void testGetRejectedFileName() {
        /* Setup */

        final String origFileNameNoExt = "PPS_1PRV_2NEW";
        final String origFileName = origFileNameNoExt + NdfUpdateProcessFile.FILE_EXTENSION;
        final NdfUpdateProcessFile objUnderTest = new NdfUpdateProcessFile();
        // Not configuring any dependencies: not needed for this test.
        
        /* Behavior & Verification */

        final String actualValue = objUnderTest.getRejectedFileName(origFileName);
        
        LOG.info("Returned name is: {}", actualValue);
        
        // Coming up with the exact expected name is hard because it uses the current date and time. Just check some easier
        // conditions.
        assertTrue("should start with original file name", actualValue.startsWith(origFileNameNoExt));
        assertTrue("should end with file extension", actualValue.endsWith(NdfUpdateProcessFile.FILE_EXTENSION));
        assertTrue("should be longer than original file name", actualValue.length() > origFileName.length());

    }

}
