/**
 * Source file created in 2011 by Southwest Research Institute
 */


package gov.va.med.pharmacy.peps.presentation.common.controller.bean;


import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import gov.va.med.pharmacy.peps.common.vo.FDBSearchOptionVo;

/**
 * Bean used in the model during the FDB Add Process to contain information about selections made by the user.
 */
@Component("fdbAddBean")
@Scope("prototype")
public class FdbAddBean {
    
    /** The ndc id. */
    private String[] ndcId;
    
    /** The seq no. */
    private String[] seqNo;
    
    /** The fdb item. */
    private String[] fdbItem;
    
    /** The item ids. */
    private String[] itemIds;
    
    /** The product seq no. */
    private String productSeqNo;
    
    /** The product id. */
    private String productId;
    
    /** The fdb search option. */
    private FDBSearchOptionVo fdbSearchOption;

    /**
     * Gets the ndc id.
     *
     * @return the ndc id
     */
    public String[] getNdcId() {
        return ndcId;
    }

    /**
     * Sets the ndc id.
     *
     * @param ndcId the new ndc id
     */
    public void setNdcId(String[] ndcId) {
        this.ndcId = ndcId;
    }

    /**
     * Gets the seq no.
     *
     * @return the seq no
     */
    public String[] getSeqNo() {
        return seqNo;
    }

    /**
     * Sets the seq no.
     *
     * @param seqNo the new seq no
     */
    public void setSeqNo(String[] seqNo) {
        this.seqNo = seqNo;
    }

    /**
     * Gets the fdb item.
     *
     * @return the fdb item
     */
    public String[] getFdbItem() {
        return fdbItem;
    }

    /**
     * Sets the fdb item.
     *
     * @param fdbItem the new fdb item
     */
    public void setFdbItem(String[] fdbItem) {
        this.fdbItem = fdbItem;
    }

    /**
     * Gets the product seq no.
     *
     * @return the product seq no
     */
    public String getProductSeqNo() {
        return productSeqNo;
    }

    /**
     * Sets the product seq no.
     *
     * @param productSeqNo the new product seq no
     */
    public void setProductSeqNo(String productSeqNo) {
        this.productSeqNo = productSeqNo;
    }

    /**
     * Gets the fdb search option.
     *
     * @return the fdb search option
     */
    public FDBSearchOptionVo getFdbSearchOption() {
        return fdbSearchOption;
    }

    /**
     * Sets the fdb search option.
     *
     * @param fdbSearchOption the new fdb search option
     */
    public void setFdbSearchOption(FDBSearchOptionVo fdbSearchOption) {
        this.fdbSearchOption = fdbSearchOption;
    }

    /**
     * Gets the product id.
     *
     * @return the product id
     */
    public String getProductId() {
        return productId;
    }

    /**
     * Sets the product id.
     *
     * @param productId the new product id
     */
    public void setProductId(String productId) {
        this.productId = productId;
    }

    /**
     * Gets the item ids.
     *
     * @return the item ids
     */
    public String[] getItemIds() {
        return itemIds;
    }

    /**
     * Sets the item ids.
     *
     * @param itemIds the new item ids
     */
    public void setItemIds(String[] itemIds) {
        this.itemIds = itemIds;
    }
    
    /* (non-Javadoc)
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.SHORT_PREFIX_STYLE)
            .append("ndcId", ndcId)
            .append("seqNo", seqNo)
            .append("fdbItem", fdbItem)
            .append("productSeqNo", productSeqNo)
            .append("productId", productId)
            .append("itemIds", itemIds)
            .append("fdbSearchOption", "(omitted)") // omitted as it is large and perhaps unused
            .toString();
    }
    

    
}
