/**
 * Source file created in 2011 by Southwest Research Institute
 */


package gov.va.med.pharmacy.peps.presentation.common.pagetrail;


import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;


/**
 * A {@link BeanScope} implementation to store objects for addition to the next flow's {@link FlowScope}. The objects
 * will be added immediately when the next flow is created.
 * 
 * @see PageTrail
 */
@Component
public class FlowInputScope extends BeanScope {

    /** flashScope */
    @Autowired
    FlashScope flashScope;

    @Override
    Map<String, Object> getBackingMap() {

        return (Map<String, Object>) flashScope.get(FlowInputScope.class.getName());
    }

    @Override
    void setBackingMap(Map<String, Object> backingMap) {
        flashScope.put(FlowInputScope.class.getName(), backingMap);
    }
}
