<%@page import="gov.va.med.pharmacy.peps.common.vo.FieldAuthorizationVo"%>
<%@page import="java.util.Collection"%>
<%@page import="gov.va.med.pharmacy.peps.common.vo.ModDifferenceVo"%>
<%@page import="gov.va.med.pharmacy.peps.common.vo.EntityType"%>
<%@page import="gov.va.med.pharmacy.peps.common.vo.ManagedItemVo"%>
<%@ taglib 
    prefix="fn"
    uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib 
    prefix="form"
    uri="http://www.springframework.org/tags/form"%>
<%@ taglib
    prefix="peps"
    tagdir="/WEB-INF/tags"%>
<%@ taglib 
	prefix="spring" 
	uri="http://www.springframework.org/tags" %> 
<%@taglib 
	prefix="c" 
	uri="http://java.sun.com/jsp/jstl/core"%>
<%
ManagedItemVo item = (ManagedItemVo)request.getAttribute("item");
EntityType entityType = item.getEntityType();
FieldAuthorizationVo fieldAuthorization = (FieldAuthorizationVo) request.getAttribute("fieldAuthorization");
if (fieldAuthorization == null)
    fieldAuthorization = new FieldAuthorizationVo();
%>
<peps:warnings id="warnings" warnings="${warnings}"/>
<br />
<div class="panel">
<h3 class="modSummaryTitle">
	Modification Summary for
	<c:choose>
		<c:when test="<%=entityType.isProduct()%>">
			Product: <peps:text item="${item}" key="product.long.name" label="false" />
		</c:when>
		<c:when test="<%=entityType.isNdc()%>">
			NDC: <peps:text item="${item}" key="ndc" label="false" />
		</c:when>
		<c:when test="<%=entityType.isOrderableItem()%>">
			Orderable Item: <peps:text item="${item}" key="oi.name" label="false" />
		</c:when>
		<c:when test="<%=entityType.isDomainType()%>">
			Name: <peps:text item="${item}" key="value" label="false" />
		</c:when>
		<c:otherwise>
		  <peps:text item="${item}" key="value" label="true" />
		</c:otherwise>
	</c:choose>
</h3></div>

<form:form id="modificationSummary" commandName="modificationSummary"
    method="post" action="" 
    onsubmit="selectAllTheOptions('selectedWarningLabels'); return disableSubmit(this.id);">


    <c:if test="${showPsrName}">
	    <peps:dataField item="${item}" key="psr.name" />
		<div class="buttonspacer"></div>
	</c:if>
     
	<fieldset>
	   <legend>Modification Summary for Data Fields</legend>
     <c:choose> 
	     <c:when test="${editManagedItemBean.hasEditableDifference()}" >     
	        <table
	            id="modTable"
	            frame="box"
	            rules="cols"
	            class="pepsTable">
	            <thead>
	                <tr>
	                    <th><peps:label
	                        key="field.name"
	                        abbreviation="true" /></th>
	                    <th><peps:label
	                        key="current.value"
	                        abbreviation="true" /></th>
	                    <th><peps:label
	                        key="modified.value"
	                        abbreviation="true" /></th>
	                    <th><peps:label
	                        key="modification.reason"
	                        abbreviation="true" /></th>
	                    <th><peps:label
	                        key="accept.change"
	                        abbreviation="true" /></th>
	                    <th><peps:label
	                        key="requires.second.approval"
	                        abbreviation="true" /></th>
	                </tr>
	            </thead>
	            <tbody>
	                <c:set var="row" scope="page" value="0" />
	                <c:forEach
	                    var="modDifference"
	                    items="${modDifferences}"                    
	                    varStatus="modStatus">     
	                    <%
	                    ModDifferenceVo modDifference = (ModDifferenceVo)pageContext.getAttribute("modDifference");        
	                    %>               
	                    <c:set
	                        scope="page"
	                        var="index"
	                        value="${modStatus.index}" />
                       	<tr class="${row mod 2 == 0 ? 'odd' : 'even'}">
	                    
	                    
	                   	<c:set var="row" scope="page" value="${row + 1}" />                    	
	                    
	                    <c:choose>                    
		                    <c:when test="<%=entityType.isDomainType()%>">
		                        <td>	                        
		                        <peps:text
		                            item="${modDifference}"
		                            key="field.name"	                            
		                            value="<%=modDifference.getDifference().getFieldKey().getLocalizedName(request.getLocale(), entityType) %>" /></td>
		                    </c:when>
		                    <c:otherwise>
		                        <td><peps:text
		                            item="${modDifference}"
		                            key="field.name"
		                            value="<%=modDifference.getDifference().getFieldKey().getLocalizedName(request.getLocale()) %>" /></td>
		                    </c:otherwise>
	                    </c:choose>
	                    
	                    <td><peps:text
	                        item="${modDifference}"
	                        key="current.value"
	                        value="<%=modDifference.getDifference().getOldValueShortString()%>" /></td>
	                    <td><peps:text
	                        item="${modDifference}"
	                        key="modified.value"
	                        value="<%=modDifference.getDifference().getNewValueShortString()%>" /></td>
	                    <td>
	                       <c:if test="${modDifference.difference.fieldKey.key eq 'item.status' and modDifference.difference.oldValue eq 'ACTIVE'}"><span class="required">*</span> </c:if>
	                       <form:textarea id="modification.reason_${index}" 
	                                      cssClass="textarea" 
	                                      path="modifications[${index}].reason" 
	                                      rows="2" cols="10" />
	                    </td>
	                    <td align="center">
	                       <form:checkbox id="accept.change_${index}" 
	                                      path="modifications[${index}].acceptChange" 
	                                      cssClass="checkbox2 center" />
	                    </td>
	                    <td align="center">	                                        
                            <c:set value="${modDifference.difference.fieldKey.isRequiresSecondApproval(entityType)}" var="requiresSecondApprovalChecked"/>
		                    
                            <peps:dataField
		                        item="${modDifference}"
		                        key="requires.second.approval"
		                        id="requires.second.approval_${index}"
		                        value="${requiresSecondApprovalChecked}"
		                        labelPosition="none"
		                        cssClass="checkbox2 center"
		                        disabled="true" />
                        </td>
	                    </tr>
	                </c:forEach>
	               
	            </tbody>
	        </table>
	    
	    </c:when>
	    
	    <c:otherwise>
	        <p>No Data Fields were modified!</p>     
	    </c:otherwise> 
    </c:choose> 
	</fieldset>

	<form:hidden path="saveRematch"/>

	<c:if test="${modificationSummary.saveRematch}">
		<fieldset>
			<legend>Rematch</legend>
			<c:if test="${modificationSummary.willSaveRematchReason(editManagedItemBean.rematch)}">
				<%--
			    The reason here is not actually a FieldKey field, but use the same FieldKey name for consistency with
			    the ModDifferenceVo table above.
			    --%>
			    <p>
				<form:label path="rematchReason"><peps:localizeName key="modification.reason" />: </form:label>
			    <form:input path="rematchReason"/>
			    </p>
			</c:if>
			<c:choose>
				<c:when test="${empty editManagedItemBean.rematch}">
				    <p><spring:message code="rematch.may.be.deleted" text="message not found" /></p>
				</c:when>
				<c:otherwise>
					<table id="rematchTable" class="pepsTable2" >
						<thead>
							<tr>
								<th>VA Product Name</th>
								<th>VA Product ID</th>
								<th>Rematch Type</th>
							</tr>
						</thead>
						<tbody>
							<c:set var="row" scope="page" value="0" />
							<c:forEach var="match"
								items="${editManagedItemBean.rematch.matchProducts}">
								<tr class="${row mod 2 == 0 ? 'odd' : 'even'}">
									<td>${match.vaProductName}</td>
									<td>${match.cmopId}</td>
									<td>${editManagedItemBean.rematch.isAutomaticRematch ? "Automatic" : "Suggested"}</td>
								</tr>
								<c:set var="row" scope="page" value="${row + 1}" />
							</c:forEach>
						</tbody>
					</table>
					</c:otherwise>
				</c:choose>
		</fieldset>
		</c:if>

	<div>
    <div class="threeColumn">    
        <c:url value="/${fn:toLowerCase(item.entityType)}/${item.id}/modificationSummaryCancel.go?tab=${tab}" var="actionUrl"/>
        <peps:submit
        key="button.cancel"
        action="${actionUrl}" />
    </div>
    <div class="threeColumn">
	    <c:if test="${flowScope.multipleSelectItemBean ne null and fn:length(flowScope.multipleSelectItemBean.itemIds) > 1}">
	        <c:url value="/${fn:toLowerCase(item.entityType)}/${item.id}/startApplyToAll.go" var="applyToAllUrl"/>
	        <peps:submit key="button.accept.changeAll" action="${applyToAllUrl}" />    
	    </c:if>
    </div>
    
    <c:if test="${modificationSummary.hasModificationsToCommit(editManagedItemBean.differences)}" >
        <div class="threeColumn">
        
        <c:url value="/${fn:toLowerCase(item.entityType)}/${item.id}/commitModifications.go" var="actionUrl"/>
        <c:choose>
            <c:when test="${flowScope.multipleSelectItemBean ne null and fn:length(flowScope.multipleSelectItemBean.itemIds) > 1}">
                <peps:submit
                    key="button.accept.changes2"
                    action="${actionUrl}" />
        
            </c:when>
            <c:otherwise>
               <peps:submit
                   key="button.accept.changes"
                   action="${actionUrl}" />
        
            </c:otherwise>
        </c:choose>
        
        </div>
    
    </c:if>
    </div>
    </div>
</form:form>