<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>
<%@ taglib prefix="peps" tagdir="/WEB-INF/tags"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>

<peps:warnings id="warnings" warnings="${warnings}"/>
<form:form id="unmatchedProductsRematch" name="unmatchedProductsRematch"
	modelAttribute="editRematchBean" action="createRematch.go" method="post"
	onsubmit="return disableSubmit(this.id);">

	<div class="body-content">

		<div class="horizontalspacer"></div>

		<table style="width: 100%; margin-bottom: 5em;"> <%-- to create the 2-column layout --%>

			<tr>
			    <%-- Layout Column 1 --%>
				<td style="vertical-align: top; width: 50%; padding-right: 10px;">
						<table id="rematchModifiedProductTable" class="rematchTable"
							border="1" style="width: 100%" cellspacing="0">

						    <caption>Modified Product</caption>
							<thead>
								<tr>
									<th align="center" width="100px">VA Product Name</th>
									<th align="center" width="50px">VA Product ID</th>
								</tr>
							</thead>

							<tr class="${status.index % 2 == 0 ? 'even' : 'odd'}">
							    <td align="center" valign="middle">
								    <input type="hidden" value="${editRematchBean.unmatchedProduct.id}" name="tableId" /> 
									<c:choose>
									<c:when test="${editRematchBean.unmatchedProduct.productName == null}">
										<peps:text
												item="${editRematchBean.unmatchedProduct}" key="va.product.name"
												value="" />
									</c:when>
									<c:otherwise>
										<peps:text
												item="${editRematchBean.unmatchedProduct}" key="va.product.name"
												value="${editRematchBean.unmatchedProduct.productName}" />
									</c:otherwise>
									</c:choose>
								</td>
								<td align="center" valign="middle">
									<c:choose>
									<c:when test="${editRematchBean.unmatchedProduct.cmop == null}">
										<peps:text
												item="${editRematchBean.unmatchedProduct}" key="cmop.id" value="" />
									</c:when>
									<c:otherwise>
										<peps:text
												item="${editRematchBean.unmatchedProduct}" key="cmop.id"
												value="${editRematchBean.unmatchedProduct.cmop}" />
									</c:otherwise>
									</c:choose>
								</td>
							</tr>
						</table>
				</td>
				<%-- Layout Column 2 --%>
				<td style="vertical-align: top; align: top; width: 50%">

					<table id="rematchPossibleMatchesTable" class="rematchTable"
						border="1" style="width: 100%;" cellspacing="0" >
						
						<caption>Possible Matches</caption>

						<thead>
							<tr>
								<th align="center">VA Product Name</th>
								<th align="center">VA Product ID</th>
								<th align="center">Status</th>
								<th align="center">Suggestion</th>
								<th align="center">Automatic</th>
							</tr>
						</thead>
						<c:choose>
							<c:when test="${empty editRematchBean.potentialMatches}">
								<tr>
									<td colspan="5"><font size="4" color="maroon"><b>No
												Results Found</b></font></td>
								</tr>
							</c:when>
							<c:otherwise>
								<c:forEach var="productMatch"
									items="${editRematchBean.potentialMatches}" begin="0" varStatus="prod">
									<tr class="${prod.index % 2 == 0 ? 'even' : 'odd'}">
									    <c:set var="matchedProductName"
									       value="${productMatch.matchedProductName == null ? '' : productMatch.matchedProductName}" />
									    <td align="center">
											<peps:text
												item="${productMatch}" key="va.product.name" value="${matchedProductName}" />
										</td>
										<td align="center">
											<c:choose>
											<c:when test="${productMatch.matchedCmop == null}">
												<peps:text
														item="${productMatch}" key="cmop.id" value="" />
											</c:when>
											<c:otherwise>
												<peps:text
														item="${productMatch}" key="cmop.id"
														value="${productMatch.matchedCmop}" />
											</c:otherwise>
											</c:choose>
										</td>
										<td align="center">
											<c:choose>
                                            <c:when test="${productMatch.itemStatus == null}">
                                                <peps:text
                                                    item="${productMatch}" key="item.status" value="" />
                                             </c:when>
                                             <c:otherwise>
                                                    <peps:text
                                                        item="${productMatch}" key="item.status"
                                                                    value="${productMatch.itemStatus}" />
											 </c:otherwise>
											 </c:choose>
                                         </td>
										<td align="center">
										    <form:checkbox
												value="${productMatch.matchedProductId}"
												path="toSuggestedProductIdSet"
										        title="${matchedProductName} Suggestion" />
										</td>
										<td align="center">
											<form:radiobutton
												value="${productMatch.matchedProductId}"
												path="toAutoProductId"
										        title="${matchedProductName} Automatic" />
										</td>
									</tr>
								</c:forEach>
							</c:otherwise>
						</c:choose>
					</table>
				</td>
			</tr>
		</table>
		
	<!-- buttons panel -->	
        <div class="panel">
            <div class="floatRight">
	            <span class="column"><peps:submit key="button.cancel" action="cancelRematch.go" /></span>         
	            <span class="column">
	                <button type="button" onclick="window.location.href='associateProductToRematch.go'">Search</button>          
	            </span>       
	            <span class="column">
	                 <button type="button" onclick="window.location.href='modificationSummary.go'">Skip</button>            
	            </span>
	            <span class="column">
	               <input type="submit" value="Submit"/>           
	            </span>          
            </div>
         </div>
    <!-- buttons panel end -->  
	</div>
</form:form>

<script src="/PRE/javascript/rematch.js" type="text/javascript"></script>