package gov.va.med.pharmacy.peps.presentation.common.controller.bean;

import static org.hamcrest.CoreMatchers.*;
import static org.junit.Assert.*;

import java.util.Arrays;
import java.util.Collections;

import org.junit.Test;

import gov.va.med.pharmacy.peps.common.utility.test.generator.ProductGenerator;
import gov.va.med.pharmacy.peps.common.vo.ModDifferenceVo;
import gov.va.med.pharmacy.peps.common.vo.ProductVo;

/**
 * Automated unit tests for {@link EditManagedItemBean}.
 */
public class EditManagedItemBeanTest {

    @Test
    public void testResetItem() {
        /* Setup */
        final ProductVo sampleProduct = new ProductGenerator().getFirst();
        final EditManagedItemBean objUnderTest = new EditManagedItemBean();
        objUnderTest.setOriginalItem(sampleProduct);
        objUnderTest.setItem(sampleProduct.copy());
        
        // Make some changes.
        objUnderTest.getItem().setGcnSequenceNumber("11456");
        objUnderTest.setDifferences(Arrays.asList(new ModDifferenceVo()));
        
        /* Behavior & Verification */
        
        objUnderTest.resetItem();
        assertThat(objUnderTest.getItem(), equalTo(sampleProduct));
        assertThat(objUnderTest.getDifferences(), equalTo(Collections.emptyList()));
    }

}
