gXMLBuffer ="<?xml version='1.0' encoding='utf-8' ?>  <glossarydata>   <entry name=\"Schedule Type\" value=\"The indicator that identifies the type of schedule (i.e., Continuous, PRN, On-Call, and One-Time) for the medication being administered to a Patient.\" />   <entry name=\"Scheduled Order\" value=\"An Inpatient order that is scheduled to be delivered to a ward at a specific time. Scheduled orders appear in a Unit Dose Pick List or Sterile Product Work List for filling.\" />   <entry name=\"SCM\" value=\"Software Configuration Management\" />   <entry name=\"Scored\" value=\"Indicates that the medication has been marked by the manufacturer so that the medication can be divided (e.g., split) in two.\" />   <entry name=\"SDD\" value=\"Software Design Document\" />   <entry name=\"SDF\" value=\"Software Development Folder\" />   <entry name=\"SDK\" value=\"Software Development Kit\" />   <entry name=\"SDLC\" value=\"Software Development Life Cycle\" />   <entry name=\"SDS\" value=\"Standard Data Service\" />   <entry name=\"Secondary Inventories\" value=\"The stock that is maintained in user areas.\" />   <entry name=\"Section 508\" value=\"The section of the Rehabilitation Act that requires any electronic information developed, procured, maintained, or used by the federal government be accessible to people with disabilities. As a result of new requirements added to the Rehabilitation Act in 1998, guidelines for electronic information including Web sites have been developed and were adopted on December 21, 2000. All electronic information created or acquired by any federal agency or department, on or after June 21, 2001, must comply with these accessibility standards.\" />   <entry name=\"SEO\" value=\"Software Engineering Organization\" />   <entry name=\"Sequence Diagram\" value=\"A visual representation that shows interaction between objects with an emphasis on the order in which the objects pass information or actions between themselves. The objects could be (i.e., people, computer systems, locations, etc.).\" />   <entry name=\"Service\" value=\"A logical grouping of capabilities that support a common business process. Thus a “drug information service” might provide capabilities that allow for the searching of different types of drug information and different types of searches for the same information (i.e., searching for a drug by Generic Name, NDC, Therapeutic category). This is loosely analogous to the class-method relationship, in which a class is composed of multiple methods that support the usage of the class.\" />   <entry name=\"Service (Architecture)\" value=\"A logical grouping of related software capabilities that share common business goals in a functional process and communicate through a well-defined interface mechanism.\" />   <entry name=\"Service-Oriented Architecture (SOA)\" value=\"A system architecture that encourages the development, collection and use of software services. These services communicate with each other. The communication can involve either simple data passing or it could involve two or more services coordinating to complete an activity. Services require a standardized communication protocol.\" />   <entry name=\"Session Bean\" value=\"A reusable software component that is used to implement business logic; it can be of stateless or stateful variety; its existence is short-lived; and its purpose is to execute on behalf of a single client.\" />   <entry name=\"Session Facade\" value=\"Decouples the user of the service from the multiple entity beans that may reside behind a service method by providing a common session bean for that particular service. For example, most service method calls will require two distinct events to complete: one to authenticate that the user is authorized to use the service, and the second is to invoke the capability of the service method. It hides these event invocations from the client, providing them with one session bean that handles all subsequent method invocations required to complete the service method request.\" />   <entry name=\"SGML\" value=\"Standard Generalized Markup Language\" />   <entry name=\"SHG\" value=\"Strategic Health Group\" />   <entry name=\"Shortage\" value=\"A deficit between inventory available and inventory required.\" />   <entry name=\"SIG\" value=\"The Latin word, Signatura, abbreviated as “SIG.” (also called SIG, or transcription), which gives instructions to the Patient on how, how much, when, and how long the drug is to be taken. These written instructions are preceded by the symbol “S” or “SIG.” from the Latin, meaning “mark.” The signature should always be written in English; however, Physicians continue to insert Latin abbreviations, e.g., “1 cap t.i.d. pc,” which the Pharmacist translates into English when he or she prints the label, such as “take one capsule three times daily after meals.” The purpose of the prescription, special instructions, and warnings, followed by the signature of the prescriber, may also be included.\" />   <entry name=\"Sign Order\" value=\"The action taken by a user to provide a signature on an order that is legally binding. In the system, the signature is an electronic signature. See glossary term Electronic Signature.\" />   <entry name=\"SIL\" value=\"Security Integration Laboratory\" />   <entry name=\"Simple Object Access Protocol (SOAP)\" value=\"A lightweight protocol for exchange of information in a decentralized, distributed environment. It is an XML-based protocol that consists of three parts: an envelope that defines a framework for describing what is in a message and how to process it, a set of encoding rules for expressing instances of application-defined data types, and a convention for representing remote procedure calls and responses.\" />   <entry name=\"Single Sign-On\" value=\"A set of software components, usually distributed over a network, which allow a user to log into his workstation once, and thereafter start applications without having further authentication required.\" />   <entry name=\"Smart Card\" value=\"In the VA/DEA PKI Pilot, the clinician uses a smart card to digitally sign Outpatient medication orders for Schedule 2 and Schedule 2n CS after using the current electronic signature process within CPRS. The technologies used in PKI add security for these substances. Smart cards have the clinician’s photo and an integrated circuit (a computer chip) that stores other information such as demographics, access and verity codes, a personal identification number (PIN), and a digital certificate.\" />   <entry name=\"SME\" value=\"Stakeholder/Subject Matter Expert\" />   <entry name=\"SOA\" value=\"Service Oriented Architecture\" />   <entry name=\"SOAP\" value=\"Simple Object Access Protocol\" />   <entry name=\"Software Configuration Management (SCM)\" value=\"A process or methodology comprised of tools and techniques that are used to manage change to software assets.\" />   <entry name=\"Software Development Kit (SDK)\" value=\"A set of tools, APIs, and/or documentation to assist with the development of software in a specific computer language or for a particular operating environment.\" />   <entry name=\"Software Development Life Cycle (SDLC)\" value=\"A structured methodology used in the development of software products and packages. This methodology is used from the conception phase through to the delivery and end of life of a final software product.\" />   <entry name=\"Software Development Plan (SDP)\" value=\"A comprehensive, composite artifact that gathers all information required to manage the project. It encompasses a number of artifacts developed during the Initiation phase and is maintained throughout the project.\" />   <entry name=\"Software Package\" value=\"A software term for a high-level, common grouping of one or more components within a system.\" />   <entry name=\"Software Quality Assurance (SQA)\" value=\"The set of activities that defines and implements software quality into the process and encompasses systematic activities that provide evidence that the product meets the customer’s expectations, in terms of use and the associated quality factors. This includes monitoring the methods and standards used, and then verifying that they have been properly applied. Also tracks that the required procedures have taken place during the SDLC. It does this by auditing the quality actions of the products in development and alerting management to any deviations.\" />   <entry name=\"Software Quality Assurance Team\" value=\"Oversees all aspects of quality assurance in each OED project.\" />   <entry name=\"Software Requirements Specifications (SRS)\" value=\"A document that outlines and records the requirements for a project. The document formally states the requirements for the project.\" />   <entry name=\"Solution\" value=\"A vehicle for additive(s) or for the pharmacological effect of the solution itself. Infusion is generally continuous. A LVP or piggyback has only one solution (primary solution). A hyperal can have one or more solutions.\" />   <entry name=\"SOP\" value=\"Standard Operating Procedure\" />   <entry name=\"SOW\" value=\"Statement of Work\" />   <entry name=\"Special Handling\" value=\"The Drug Enforcement Agency (DEA) special handling codes used to designate drug products as over-the-counter, narcotics, bulk compounds, supply items. Requirements exist for each code that determines how a drug product is to be handled and/or stored.\" />   <entry name=\"Specialty\" value=\"The particular subject area or branch of medical science to which one devotes professional attention.\" />   <entry name=\"SPF\" value=\"Single Point of Failure\" />   <entry name=\"Splittable\" value=\"A VA Data Field used to specify whether an item can be split for dispense or be prescribed as a splittable dose.\" />   <entry name=\"SPM\" value=\"Software Project Manager\" />   <entry name=\"SPML\" value=\"Service Provisioning Markup Language\" />   <entry name=\"SQA\" value=\"Software Quality Assurance\" />   <entry name=\"SQAP\" value=\"Software Quality Assurance Plan\" />   <entry name=\"SQL\" value=\"Structured Query Language\" />   <entry name=\"SRS\" value=\"Software Requirements Specification\" />   <entry name=\"SS\" value=\"System Specification\" />   <entry name=\"SSO\" value=\"Single Sign-On\" />    </glossarydata>";