gXMLBuffer ="<?xml version='1.0' encoding='utf-8' ?>  <glossarydata>   <entry name=\"Client\" value=\"The person or organizational entity that pays for the development of a product.\" />   <entry name=\"Client Application\" value=\"A piece of software that accesses remote services offered by another piece of software, usually over a network connection. In the user interface context, a client is a software application with which a user interacts to perform some function.\" />   <entry name=\"Client/Server\" value=\"The model of interaction in distributed data processing in which a program at one location sends a request to a program at another location and awaits a response. The requesting program is called a client, and the answering program is called a server.\" />   <entry name=\"Clinical Context Management\" value=\"Formerly  Clinical Context Object Workgroup (CCOW). A vendor independent standard developed by the Health Level Seven (HL7) organization to allow clinical applications to share information at the point of care. Using a technique called “context management,” allows information in separate healthcare applications to be unified so that each individual application is referring to the same Patient, encounter, or user. Works for both client-server and Web-based applications.\" />   <entry name=\"Clinical Data Repository/Health data Repository (CHDR)\" value=\"A system extending the capabilities of interacting with Department of Defense (DoD) data sources. It will increase the accessibility of Veteran health information. It is currently planned to be used where VHA and DoD share facilities for healthcare. The current plan is to merge the two capabilities into a set of services.\" />   <entry name=\"Clinical Data Service\" value=\"The HealtheVet service responsible for providing read and write access to the Health Data Repository (HDR).\" />   <entry name=\"Clinical Decision Support\" value=\"The informational or actionable tool that provides support during order processing. For example, a dosing calculator provides the logic to determine the appropriate dose for a medication. Also, a drug guideline is an informational resource for data relating to a medication.\" />   <entry name=\"Clinical Evaluator\" value=\"A person who evaluates the clinical status of a Patient (e.g., Licensed Physician or Licensed Pharmacist).\" />   <entry name=\"Clinical Guidelines or Drug Treatment Guidelines\" value=\"The systematically developed statements to assist Practitioner and Patient decisions about appropriate healthcare for specific clinical circumstances.\" />   <entry name=\"CLO\" value=\"Chief Logistics Officer\" />   <entry name=\"CM\" value=\"Configuration Management\" />   <entry name=\"CMON\" value=\"Clinical Monitoring\" />   <entry name=\"CMOP\" value=\"Consolidated Mail Outpatient Pharmacy\" />   <entry name=\"CMOP Transmission\" value=\"The act of transmitting a prescription to a CMOP for dispensing.\" />   <entry name=\"CMP\" value=\"Configuration Management Plan\" />   <entry name=\"CMT\" value=\"Container Managed Transaction\" />   <entry name=\"Co-Signer\" value=\"A person who reviews and signs prescriptions or medical documents based on designated authority. A second signature is usually required when a document is initiated by a Provider that is undergoing training or in cases where the margin of error of the medication being prescribed is so small that a second signature is advised to ensure the safety of the Patient.\" />   <entry name=\"COAS\" value=\"Content Access Service (formally Clinical Observation Access Service)\" />   <entry name=\"Commercial off-the-Shelf (COTS) Software\" value=\"The commercially available applications sold by vendors through public catalogue listings. COTS software is not intended to be customized or enhanced.\" />   <entry name=\"Complete Order\" value=\"An order that has been recorded, activated, filled, checked, and is ready for delivery to the Patient.\" />   <entry name=\"Complex Order\" value=\"An order that consists of one or more linked medication orders, known as “child” orders.\" />   <entry name=\"Component\" value=\"A physical, replaceable part of a system that packages implementation and conforms to and provides the realization of a set of interfaces. A component represents a physical piece of implementation of a system, including software code (source, binary, or executable) or equivalents such as scripts or command files.\" />   <entry name=\"Component (Architecture)\" value=\"A software term for an independent unit of deployment composed of one or more modules within a package.\" />   <entry name=\"Component-based Development\" value=\"The creation and deployment of software-intensive systems assembled from components as well as the development and harvesting of such components.\" />   <entry name=\"Compound Medication/Compound Order\" value=\"A medication produced or manufactured by combining two or more ingredients.\" />   <entry name=\"Computerized Patient Record System (CPRS)\" value=\"Stored information in VistA, or other automated systems using electronic storage. CPRS supports entry of notes and orders, rules-based order checking, and results reporting (Medical Records Management Handbook). CPRS provides an integrated Patient record system for clinicians, managers, quality assurance staff, researchers, and others. It may be referred to as Electronic Medical Record (EMR) in the private sector.\" />   <entry name=\"Consolidated Mail Outpatient Pharmacy (CMOP)\" value=\"The VA mail-order pharmacy system.\" />   <entry name=\"Constant Dosage\" value=\"A constant administration dose of a drug for a specific duration of therapy. For example, the dosage of a drug might be “4mg” two times a day for 7 days.\" />   <entry name=\"Constant Schedule\" value=\"The schedule of a drug remains constant for a specific duration of therapy. For example, a drug may have been scheduled for two times a day for 7 days.\" />   <entry name=\"Constraint\" value=\"A global requirement that restricts how a product or application may be produced.\" />   <entry name=\"Consult Tracking\" value=\"A VistA product that is used to request and track consultations or procedures from one clinician to another clinician or service.\" />   <entry name=\"Context\" value=\"The subject matter, people, or organizations that might have an impact on the requirements of a product or application.\" />   <entry name=\"Context Diagram\" value=\"A visual representation of the application and the external applications, systems, or organizations with which it must interact.\" />   <entry name=\"Contingency Plan\" value=\"A management plan that identifies alternative strategies to be used to ensure product success if specified risk events occur.\" />   <entry name=\"Continuous\" value=\"A medication order that is given continuously to a Patient for the life of the medication order, as defined by the Start/Stop Date/Time. This is also a schedule type.\" />   <entry name=\"Control Factors\" value=\"These refer to the definition and use of different numbers for each inventory location to manage the quantity of inventory in that location. They include factors such as average rate of use by the functional area, delivery lead time, Par Level, the maximum quantity; Reorder Point, the quantity level at which a reorder signal is sent; and Safety Stock, a safety level quantity.\" />   <entry name=\"Controlled Substance (CS)\" value=\"All drugs listed in the Code of Federal Regulations (CFR) 21, Part 1300, to include the following:\" />   <entry name=\"Controlled Substance Tote\" value=\"A sealed package (e.g., brown bag, box, or envelope) containing one or more CS.\" />   <entry name=\"COOP\" value=\"Continuity of Operations\" />   <entry name=\"Copay Tier\" value=\"A Copay Tier is a fixed copayment amounts depending on the class of the medication\" />   <entry name=\"CORBA\" value=\"Common Object Request Broker Architecture\" />   <entry name=\"Core-FLS\" value=\"Core-Financial and Logistics System\" />   <entry name=\"COTR\" value=\"Contracting Officer’s Technical Representative\" />   <entry name=\"COTS\" value=\"Commercial Off-The-Shelf (software)\" />   <entry name=\"Counseling (Patient Education)\" value=\"A discussion aimed at educating a Patient about a drug therapy regimen. The Omnibus Budget Reconciliation Act of 1990 (OBRA ’90) requires that all Patients be offered counseling for new medications. In particular, a Pharmacist must offer to discuss drug therapy regimens to each Patient when filling prescriptions for them. During counseling, the Pharmacist discusses any information about the drug therapy, which in the professional judgment of the Pharmacist is necessary for the proper use of the medication. The outcome of the counseling session is documented in the Patient’s electronic prescription order, indicating if a Patient accepted counseling and if the counseling was understood. Any extensive counseling and its documentation is recorded in a Text Integrated Utility (TIU) Progress Note.\" />   <entry name=\"CPMP\" value=\"Clozapine Patient Management Protocol\" />   <entry name=\"CPOE\" value=\"Computerized Physician Order Entry\" />   <entry name=\"CPRS\" value=\"Computerized Patient Record System\" />   <entry name=\"CPRS-R\" value=\"Computerized Patient Record System-Re-engineering Computerized Patient Record System-Rehosting\" />   <entry name=\"CPU\" value=\"Central Processing Unit\" />   <entry name=\"CR\" value=\"Change Request\" />   <entry name=\"Credentialing\" value=\"The recognition of professional or technical competence through registration, certification, licensure, etc.\" />   <entry name=\"Critical Path\" value=\"The series of activities that determines the duration of the project. In a deterministic model, the critical path is usually defined as those activities with float-less-than or equal to a specific value, often zero. It is the longest path through the project.\" />   <entry name=\"Cross-Application Integration Protocol (CAIP)\" value=\"A consistent set of interfaces for the common services in use within the Enterprise is required in order to promote interoperability within and across the VHA. The goal is to formalize these interfaces, providing style guidance to projects that will be building and using VHA’s service architecture. The principal objective is to provide clear guidance to project teams detailing the approach that is to be taken when building interfaces that require communication/collaboration with service components within the VHA.\" />    </glossarydata>";